%define ver 1.3.0
%define rel 2

Summary: The M17N engine for IBus platform
Name: ibus-m17n
Version: %{ver}
Release: %{rel}%{?_dist_release}
Source0: http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
License: GPLv2+
Group: System Environment/Libraries
URL: http://code.google.com/p/ibus/

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ibus-devel >= 1.2.0
BuildRequires: m17n-lib-devel
Requires: ibus
Requires: m17n-lib m17n-db

Vendor: Project Vine
Distribution: Vine Linux

Packager: iwaim

%description
M17N engine for IBus input platform. It allows input of many launguaes using
the input table maps from m17n-db.


%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%check
make check


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/ibus-engine-m17n
%{_datadir}/ibus/component/m17n.xml
%{_datadir}/ibus-m17n


%changelog
* Thu Aug 04 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.3.0-2
- rebuilt with ibus-1.3.9

* Sat May 15 2010 IWAI, Masaharu <iwai@alib.jp> 1.3.0-1
- new upstream release

* Mon Jan 25 2010 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20091217-1
- new upstream release
- add BuildRequires: ibus-devel >= 1.2.0: fix <BTS:VineLinux:902>

* Thu Oct  8 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20090930-1
- new upstream release

* Thu Sep 17 2009 IWAI, Masaharu <iwai@alib.jp> 1.2.0.20090617-1
- new upstream release
- add Packager tag

* Wed Apr  1 2009 IWAI, Masaharu <iwai@alib.jp> 1.1.0.20090211-1
- initial relase

